text stringlengths 2.5k 6.39M | kind stringclasses 3
values |
|---|---|
# This script will generate/regenerate the thrift code for Airavata Server Skeletons, Client Stubs
# and Data Model java beans in java, C++, PHP and Python.
show_usage() {
echo -e "Usage: $0 [docker-machine start--native-thrift] [Language to generate stubs]"
echo ""
echo "options:"
echo -e "\tjava Generate/Upda... | the_stack |
function usage {
cat <<END
Voltron installer script.
This script will attempt to find GDB/LLDB, infer the correct Python to use, and
install Voltron. By default it will attempt to detect a single version of each
GDB and LLDB, and will install into the user's site-packages directory. The
options below can be used ... | the_stack |
# Access granted under MIT Open Source License: https://en.wikipedia.org/wiki/MIT_License
#
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
# documentation files (the "Software"), to deal in the Software without restriction, including without limitation
#... | the_stack |
#
# Create an ASN.1 source code project for each line in each of the
# bundles/*.txt files, compile and run that it can be encoded, decoded,
# and fuzzed (if fuzzing is available).
#
set -e
usage() {
echo "Usage:"
echo " $0 -h"
echo " $0 [--dirty] -t \"<ASN.1 text defining type T, in string form>\""
... | the_stack |
# For OpenBSD, run using the following:
#
# scripts/release.sh 1 0 1 0 0 0 0 1 0 0 0 0 0 0
#
# For FreeBSD, run using the following:
#
# scripts/release.sh 1 0 1 0 0 0 0 1 0 1 0 0 0 0
#
# There is one problem with running this script on FreeBSD: it takes overcommit
# to the extreme. This means that some tests that try ... | the_stack |
# file: backdoor-apk.sh
# usage: ./backdoor-apk.sh original.apk
# Dana James Traversie
# Security Architect | Hacker-in-Residence
# Check Point Software Technologies, Ltd.
# IMPORTANT: The following packages were required on Kali Linux
# in order to get things rolling. These packages are likely
# required by oth... | the_stack |
# exit on any error
set -e
function usage() {
echo 'build-installer.sh
Build a Windows application installer based on a set of pip requirements.
All of the requirements must to be available as .whl files
Note: This script needs makensis, curl, python and pip (>=9) on $PATH
Note: Needs basic bash env on Windows ... | the_stack |
commandname="DEV-QUERY-RAW"
commandaction="Developer query raw"
functionselfname="$(basename "$(readlink -f "${BASH_SOURCE[0]}")")"
fn_firstcommand_set
check.sh
info_game.sh
info_distro.sh
info_messages.sh
echo -e ""
echo -e "${lightgreen}Query IP Addresses${default}"
echo -e "========================================... | the_stack |
_dedupeArray_() {
# DESC:
# Removes duplicate array elements
# ARGS:
# $1 (Required) - Input array
# OUTS:
# stdout: Prints de-duped elements
# USAGE:
# mapfile -t newarray < <(_dedupeArray_ "${array[@]}")
# NOTE:
# List order may not stay ... | the_stack |
set -e
# Build the Teal compiler as a stand-alone binary!
# ================================================
# Run `extras/binary.sh` to build a native executable.
# To build a Windows executable, install the w64-mingw32
# cross compiler toolchain and run `extras/binary.sh --windows`.
lua_version="5.4.4"
argparse_v... | the_stack |
# The MIT License (MIT)
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, subl... | the_stack |
set -o errexit
# Vars
desired_os=0
os=""
setup_type="" # values: "default" | "local_dbt"
INSTALLATION_ID=$(curl -s 'https://www.uuidgenerator.net/api/version4')
LIGHTDASH_INSTALL_TYPE='bash_install'
dbt_project_dir=""
port=8080
# Events
Started="bash_install.started"
Failed="bash_install.failed"
Successful="bash_inst... | the_stack |
# Duckberry Pi
# Simple Duckyscript interpreter in Bash modified for the Raspberry Pi Zero.
# Based on droidducky and hid-gadget-test utility.
#
# Usage: duckpi.sh payload.dd
#
# Copyright (C) 2016 - Jeff L. (Renegade_R)
#
# Original droidducky script Copyright (C) 2015 - Andrej Budinčević <andrew@hotmail.rs>
#
# This ... | the_stack |
# In this script, the priority is always given to the Intel over GNU compilers if they are detected.
FILE_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
usage()
{
cat << EndOfMessage
This is a simple standalone Bash script for building C/Fortran applications that use ParaMonte library on Uni... | the_stack |
SCRIPT=$(readlink -f "$0") && cd $(dirname "$SCRIPT")
# --- Script Init ---
mkdir -p log
rm -R -f log/*
# --- Setup run dirs ---
find output -type f -not -name '*summary-info*' -not -name '*.json' -exec rm -R -f {} +
mkdir output/full_correlation/
rm -R -f fifo/*
mkdir fifo/full_correlation/
rm -R -f work/*
mkdir ... | the_stack |
###################################################################################################
# Script Name: jamf_ea_OfficeLicenseType.sh
# By: Zack Thompson / Created: 8/28/2018
# Version: 1.0 / Updated: 8/28/2018 / By: ZT
#
# Description: This script gets the Office Licensing Type.
#
# This is a fork of:... | the_stack |
load 'test_helper/common'
# Globals ${BATS_TMPDIR} and ${NAME}
# `${NAME}` defaults to `mailserver-testing:ci`
function setup() {
run_setup_file_if_necessary
}
function teardown() {
docker rm -f tls_test_cipherlists
run_teardown_file_if_necessary
}
function setup_file() {
export DOMAIN="example.test"... | the_stack |
check()
{
if diff <(sort $1) <(sort $2); then
echo ok
else
echo fail
exit 1
fi
}
export -f check
###################################################################
# 1. Test basic auto_recessive functionality
###################################################################
echo " au... | the_stack |
set -o errexit
set -o pipefail
# Argument handling
HELP="\nbash $0 <config> <seed>\n"
# config file
[ -z "$1" ] && echo -e "$HELP" && exit 1
[ ! -f "$1" ] && "Missing $1" && exit 1
config=$1
# random seed
[ -z "$2" ] && echo -e "$HELP" && exit 1
seed=$2
# activate virtualenenv and set other variables
. set_environmen... | the_stack |
SCRIPT_DIR=$(cd $(dirname "$0"); pwd -P)
# REVIEW: Look at whether we can use the common.sh utility functions here (there is some log support but
# that seems intertwined with the build/install, not sure it is a good fit here as this is intended to be
# standalone capture as well not specific).
# prints usage message... | the_stack |
if [ $# -ne 1 ]
then
echo "Usage: $0 [tiny|full]"
exit -1
fi
SCRIPT=$(readlink -f "$0")
BASEDIR=$(dirname "$SCRIPT")
if [ ${1} == "tiny" ]
then
# Run the E.coli example
echo "tiny example"
${BASEDIR}/../src/alfred qc -r ${BASEDIR}/E.coli.fa.gz -j ecoli.json.gz ${BASEDIR}/E.coli.cram
${BASEDIR}... | the_stack |
# v1.0.1
# Tested with Kubernetes: 1.11
# This script reproduces what the kubelet does to calculate 'memory.available' relative to root cgroup.
# It also calculates and shows other memory related info which helps you choose values
# for kubelet configuration parameters (e.g. kubeReserved and systemReserved)
# The val... | the_stack |
set -e
# Previous compiles may confound future compiles, erase...
\rm -fr "$HOME/Library/Developer/Xcode/DerivedData/rnfbdemo*"
# Basic template create, rnfb install, link
\rm -fr rnfbdemo
echo "Testing react-native current + react-native-firebase current + Firebase SDKs current"
if ! which yarn > /dev/null 2>&1; ... | the_stack |
set -o nounset
if [[ "$(echo "${SB_DEBUG:-}" | tr '[:upper:]' '[:lower:]')" =~ ^1|true|t|yes|y$ ]] ; then
echo 'INFO: debug mode enabled'
export SB_DEBUG_BASH='set -x'
else
export SB_DEBUG_BASH=':'
fi
export SB_REPO_PATH="${GOPATH:-${HOME}/go}/src/github.com/jaytaylor/shipbuilder"
export SB_SUDO='sudo --n... | the_stack |
function kotsadm() {
local src="$DIR/addons/kotsadm/1.33.1"
local dst="$DIR/kustomize/kotsadm"
try_1m_stderr object_store_create_bucket kotsadm
kotsadm_rename_postgres_pvc_1-12-2 "$src"
cp "$src/kustomization.yaml" "$dst/"
cp "$src/operator.yaml" "$dst/"
cp "$src/postgres.yaml" "$dst/"
... | the_stack |
# 2016 Modified by Takafumi Moriya at Tokyo Institute of Technology
# for Japanese speech recognition using CSJ.
# Copyright 2012-2014 Brno University of Technology (Author: Karel Vesely)
# Apache 2.0
# This example script trains a bottleneck feature extractor with
# 'Universal Context' topology as invented by Fran... | the_stack |
##############################################################################
# _ __ _ #
# / |/ /__ _(_)__ __ __ #
# / / _ `/ /... | the_stack |
set -o nounset
set -o pipefail
set -o errexit
shopt -s strict:all 2>/dev/null || true # dogfood for OSH
source test/common.sh
osh-to-oil() {
bin/oshc translate "$@"
}
# Compare osh code on stdin (fd 0) and expected oil code on fd 3.
osh0-oil3() {
set +o errexit
osh-to-oil "$@" | diff -u /dev/fd/3 -
local s... | the_stack |
# Working directory must be top-level dir:
SCRIPT_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
pushd $SCRIPT_DIR/../..
OSSIM_DEV_HOME=$PWD
if [ $# -ne 2 ]
then
echo "Usage: `basename $0` <ossim_install_prefix> <config_dir>"
exit 1
fi
OSSIM_INSTALL_PREFIX=$2
if [ -z "$OSSIM_INSTALL_PREFIX" ]; then
echo... | the_stack |
set -e
# Defaults values for script parameters.
APPSCALE_REPO="git://github.com/AppScale/appscale.git"
APPSCALE_TOOLS_REPO="git://github.com/AppScale/appscale-tools.git"
AGENTS_REPO="git://github.com/AppScale/appscale-agents.git"
THIRDPARTIES_REPO="git://github.com/AppScale/appscale-thirdparties.git"
APPSCALE_BRANCH="... | the_stack |
if [[ -e /opt/sa/analysis_engine/scripts/common_bash.sh ]]; then
source /opt/sa/analysis_engine/scripts/common_bash.sh
elif [[ -e ./analysis_engine/scripts/common_bash.sh ]]; then
source ./analysis_engine/scripts/common_bash.sh
else
found_good_common="0"
if [[ "${USE_AS_BASH_COMMON}" == "" ]]; then
... | the_stack |
########## CONFIGURATIONS ##########
# Access Information for Transmission
t_username=
t_password=
# Host on which transmission runs
t_host=localhost
# Port
t_port=9091
# Configure here your private trackers
private_tracker_list='jumbohostpro,connecting,torrentbytes,shareisland,hdtorrents,girotorrent,bigtower,arabafeni... | the_stack |
# No #!, it's done with shell() in bk.c
# bk.sh - BitKeeper scripts
# %W% %K%
# Functions intended to be accessed as bk whatever by the user are
# named _whatever. Functions for internal use only are named
# __whatever. Don't name any functions without leading underscores,
# they can clash with commands or shell bu... | the_stack |
python_bin="python"
LOG_ERROR()
{
local content=${1}
echo -e "\033[31m[ERROR] ${content}\033[0m"
exit 1
}
execute_cmd()
{
command="${1}"
#LOG_INFO "RUN: ${command}"
eval ${command}
ret=$?
if [ $ret -ne 0 ];then
LOG_ERROR "FAILED execution of command: ${command}"
if [ -d "nodes"... | the_stack |
bleopt/declare -v decode_error_char_abell ''
bleopt/declare -v decode_error_char_vbell 1
bleopt/declare -v decode_error_char_discard ''
bleopt/declare -v decode_error_cseq_abell ''
bleopt/declare -v decode_error_cseq_vbell ''
bleopt/declare -v decode_error_cseq_discard 1
bleopt/declare -v decode_error_kseq_abell 1
bleo... | the_stack |
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
UPGRADE_TMP_DIR="/tmp/upgrade"
source $SCRIPT_DIR/lib.sh
pre_upgrade_manifest()
{
if [ -e "/usr/local/share/migrations/upgrade_manifests/${UPGRADE_PREVIOUS_VERSION}/pre-hook.sh" ]; then
echo "Executing ${UPGRADE_PREVIOUS_VERSION} pre-ho... | the_stack |
# This script executes the script step when running under travis-ci
#if cygwin, check path
case ${MACHTYPE} in
*cygwin*) OPJ_CI_IS_CYGWIN=1;;
*) ;;
esac
# Hack for appveyor to get GNU find in path before windows one.
export PATH=$(dirname ${BASH}):$PATH
# Set-up some bash options
set -o nounset ## set -u : exit ... | the_stack |
# A series of jq commands that breaks out 32 different relational tables from
# items/*.ndjson and collections/*.ndjson. jq can be found at:
# https://stedolan.github.io/jq/
ITEMDIR=../../../items
COLLDIR=../../../collections
COLLJSON=$COLLDIR/*.ndjson
ITEMJSON=$ITEMDIR/*.ndjson
TARGETDIR=.
mkdir $TARGETDIR/items $T... | the_stack |
# references
#-------------
# https://jamielinux.com/docs/openssl-certificate-authority/create-the-root-pair.html
# https://www.geocerts.com/ssl-tools
set -e
HOME=$PWD
OUT=$PWD/out
META=$PWD/meta
META_ROOT=$PWD/meta/root
META_INTERMEDIATE=$PWD/meta/intermediate
COLOR='\033[0;34m'
NC='\033[0m' # No Color
help() {
... | the_stack |
# Turn on "strict mode"
# http://redsymbol.net/articles/unofficial-bash-strict-mode/
# Not using -u as it upsets BATS :(
set -eo pipefail
unset CDPATH
IFS=$'\n\t'
function configure_nodes {
echo
echo "Tidying up any old registry jobs"
kubectl delete job create-certs &> /dev/null || true
echo
echo "Creating... | the_stack |
# we want exit immediately if any command fails and we want error in piped commands to be preserved
set -eo pipefail
# are we running from terminal?
is_term="test -t 1"
# are we root?
is_root="[ $(id --user) -eq 0 ]"
pkg_name="github-act-runner"
runner_bin_dir=/usr/lib/${pkg_name}/
runner_bin=${runner_bin_dir}runner... | the_stack |
showip=$(ifconfig eth0 | awk -F"[: ]+" '/inet addr:/ {print $4}')
#get architecture
if uname -m | grep -i arm > /dev/null; then
ARCH=ARM
else
ARCH=x86
fi
#functions
function unrartest {
if hash unrar 2>/dev/null; then
return
else
cpunum=$(nproc)
apt-get install build-essential -y
cd /tmp
RARVERSION=$(wget -q http... | the_stack |
########################################
#logging setup: Stack Exchange made this.
snorby_logfile=/var/log/snorby_install.log
mkfifo ${snorby_logfile}.pipe
tee < ${snorby_logfile}.pipe $snorby_logfile &
exec &> ${snorby_logfile}.pipe
rm ${snorby_logfile}.pipe
########################################
#Metasploit-like ... | the_stack |
# Important script variable
execute=1
automatic_additions=1
TMPDIR="./tmp_$(date +%s)"
THIS_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" &>/dev/null && pwd )
GINKGO_ROOT_DIR="${THIS_DIR}/../.."
function print_help {
echo -e "Usage: $0 [options] NewAlgorithm ModelType ModelName"
echo -e "\tOptions:"
echo -e... | the_stack |
trap 'exit' ERR
if [[ ! -d "/vagrant" ]]; then
echo "This script should be run in the Vagrant environment"
exit 1
fi
source "/vagrant/devtools/dev-fixtures.sh"
# Delete old testcases if they exist already, then create a
# directory to house new ones.
if [[ -d "$TEST_ROOT" ]]; then
echo -e "\033[1m[ 0/13... | the_stack |
# MANUAL SETUP
# You need to get access credentials from AWS before doing this. You need the Access key ID and Secret access key)
aws configure
##################################################################
# #
# Basic System In... | the_stack |
set -o errexit
set -o nounset
set -o pipefail
echo "Running ${TEST_NAME}"
cd "${OS_ROOT}"
source hack/lib/init.sh
function cleanup() {
out=$?
# get the jUnit output file into a workable state in case we crashed in the middle of testing something
os::test::junit::reconcile_output
# check that we didn'... | the_stack |
# shellcheck disable=SC2154
# SC2154: Variables are sent in ../../bin/sackmesser
# shellcheck disable=SC2129
# SC2129: Cleaner redirect to html output
# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You... | the_stack |
# Copyright 2018 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to ... | the_stack |
if [ -n "$DEBUG_DRUPALPOD" ] || [ -n "$GITPOD_HEADLESS" ]; then
set -x
fi
# Measure the time it takes to go through the script
script_start_time=$(date +%s)
# Load default envs
export "$(grep -v '^#' "$GITPOD_REPO_ROOT"/.env | xargs -d '\n')"
# Set the default setup during prebuild process
if [ -n "$GITPOD_HEADL... | the_stack |
# Public: play an audio file to speakers
# $1: audio file to play
jv_play () {
[ "$platform" = "linux" ] && local play_export="AUDIODRIVER=alsa" || local play_export='' # is this still needed?
[ -s "$1" ] && eval "$play_export play -V1 -q $1 tempo $tempo" #591 sox bug with empty audio files
if [ "$?" -ne ... | the_stack |
# NOTE: This is not a standalone build-script. It must only be called by buildParaMonte.sh script in the root directory of the project.
#:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
# build ParaMonte library example objects and exec... | the_stack |
# Abort if something went wrong
set -e
# Color constants
COLOR_RED='\033[0;31m'
COLOR_GREEN='\033[0;32m'
COLOR_ORANGE='\033[0;33m'
COLOR_BLUE='\033[0;34m'
COLOR_PURPLE='\033[0;35m'
COLOR_CYAN='\033[0;36m'
COLOR_YELLOW='\033[1;33m'
COLOR_WHITE='\033[1;37m'
COLOR_RESET='\033[0m'
# Util functions
function show_usage {
... | the_stack |
set -e
pr_number=$1
mm_commit_sha=$2
echo "PR number: ${pr_number}"
echo "Commit SHA: ${mm_commit_sha}"
github_username=modular-magician
gh_repo=terraform-provider-google-beta
new_branch="auto-pr-$pr_number"
git_remote=https://github.com/$github_username/$gh_repo
local_path=$GOPATH/src/github.com/hashicorp/$gh_repo
mk... | the_stack |
test_description="ensure that 'vgreduce --removemissing' works on mirrored LV"
. ./test-utils.sh
dmsetup_has_dm_devdir_support_ || exit 200
lv_is_on_ ()
{
local lv=$vg/$1
shift
local pvs=$*
echo "Check if $lv is exactly on PVs $pvs"
rm -f out1 out2
echo $pvs | sed 's/ /\n/g' | sort | uniq > out1
lvs -a -ode... | the_stack |
export PATH=/usr/bin:/bin:/usr/sbin:/sbin
downloadURL=${1?:"need to provide a download URL."}
# Note: this tool _very_ experimental and does not work in many cases
# That being said, it's a great place to start for building up the label in the Case-statement
# Usage
# ./buildLabel.sh <URL to download software>
# Ma... | the_stack |
#
# 以下は ble-decode.sh にて既定で定義される特殊キー
#
# 制御文字
#
# TAB RET
#
# NUL SOH STX ETX EOT ENQ ACK BEL
# BS HT LF VT FF CR SO SI
# DLE DC1 DC2 DC3 DC4 NAK SYN ETB
# CAN EM SUB ESC FS GS RS US
#
# SP DEL
#
# PAD HOP BPH NBH IND NEL SSA ESA
# HTS HTJ VTS PLD PLU... | the_stack |
# Copyright (c) 2021 PaddlePaddle Authors. All Rights Reserved.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
# Unless required by applicabl... | the_stack |
COLOR_OFF='\033[0m'
COLOR_ON='\033[1;93m'
set -eu
steamrt_mirror="http://repo.steampowered.com/steamrt"
ubuntu_mirror="http://old-releases.ubuntu.com/ubuntu"
extra_apt_sources=()
# bootstrap_container <docker | chroot> suite
bootstrap_container()
{
local container_type="$1"
local suite="$2"
# Need to be insi... | the_stack |
function tag_release {
# Arguments:
# $1 - Path to top level consul source
# $2 - Version string to use for tagging the release
# $3 - Alternative GPG key id used for signing the release commit (optional)
#
# Returns:
# 0 - success
# * - error
#
# Notes:
# If the RELEASE_U... | the_stack |
#!/bin/bash
#version 2.0
#author by 網菔務卐
cat <<EOF
*************************************************************************************
***** linux基线检查脚本 *****
*************************************************************************************
***** linux基线配置规范设计 *****
***** 输出结果/tmp/${ipadd}... | the_stack |
if [ $# -ne 1 -o ! -f $1/jsapi.h ]; then
echo "Usage:"
echo "$0 /path/to/libmozjs/headers/"
exit 1
fi
if [ ! -f ./js_script_context.h ]; then
echo "$0 must be executed in extensions/smjs_script_runtime directory."
exit 1
fi
rm -f libmozjs_glue.*
rm -f mozjs_api_*
# Extract all public function definitions f... | the_stack |
internal_version_number='v1.00.006'
script_version=$(echo $internal_version_number | sed 's/.[^.]*$//')
app_name='meta-ROS integration test and report assistant'
authors='Tobias Weigl (tobias.weigl@bmw-carit.de)'
#
# Path information the script uses ('./' for the Yocto project root)
path_to_script_relative_to_project_r... | the_stack |
# Name: lunar (Lockdown UNix Auditing and Reporting)
# Version: 7.7.6
# Release: 1
# License: CC-BA (Creative Commons By Attribution)
# http://creativecommons.org/licenses/by/4.0/legalcode
# Group: System
# Source: N/A
# URL: http://lateralblast.com.au/
# Distr... | the_stack |
DIR=$PWD
check_config_value () {
unset test_config
test_config=$(grep "${config}=" ${DIR}/patches/defconfig || true)
if [ "x${test_config}" = "x" ] ; then
echo "echo ${config}=${value} >> ./KERNEL/.config"
else
if [ ! "x${test_config}" = "x${config}=${value}" ] ; then
if [ ! "x${test_config}" = "x${config}=... | the_stack |
# This... is my DIY plugin manager for Zsh. "Why did I reinvent the wheel yet
# again and created my own plugin manager?" you might ask. Well, some of them
# are too slow (antigen, zplug), some are too complicated (antigen-hs, zplugin)
# and some are too simple (zgen, antibody). So, I decided to go into into my
# cave ... | the_stack |
basename="s,^.*/,,g"
# Work around backward compatibility issue on IRIX 6.5. On IRIX 6.4+, sh
# is ksh but when the shell is invoked as "sh" and the current value of
# the _XPG environment variable is not equal to 1 (one), the special
# positional parameter $0, within a function call, is the name of the
# function.
pr... | the_stack |
# ========================================================================
#
# Copyright (c) 2017 Thomas Pornin <pornin@bolet.org>
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without r... | the_stack |
export LC_ALL=en_US.UTF-8
##########dDocent##########
VERSION='2.2.22'
#This script serves as an interactive bash wrapper to QC, assemble, map, and call SNPs from double digest RAD (SE or PE), ezRAD (SE or PE) data, or SE RAD data.
#It requires that your raw data are split up by tagged individual and follow the naming... | the_stack |
function detect-platform() {
# set PLATFORM to android on linux host to build android
case "$OSTYPE" in
darwin*) PLATFORM=${PLATFORM:-mac} ;;
linux*) PLATFORM=${PLATFORM:-linux} ;;
win32*|msys*) PLATFORM=${PLATFORM:-win} ;;
*) echo "Building on unsupported OS: $OSTYPE"; exit 1; ;;
es... | the_stack |
TITLE=BulkBcells-S
FASTQ1_1=/mnt/lab_data/kundaje/users/pgreens/projects/hematopoiesis/data/atac_seq/fastq/marson_data/pooled/"$TITLE"-a-R1.fastq.gz
FASTQ1_2=/mnt/lab_data/kundaje/users/pgreens/projects/hematopoiesis/data/atac_seq/fastq/marson_data/pooled/"$TITLE"-a-R2.fastq.gz
FASTQ2_1=/mnt/lab_data/kundaje/users/pgre... | the_stack |
# Copyright (c) 2015 Eivind Arvesen. All Rights Reserved.
COPY="Written by Eivind Arvesen, 2015."
VERSION=0.6.0
SOURCE="prm MUST be sourced - not run in a subshell.\ni.e. '. ./prm'\n"
function return_error() {
# Print error message and return error code
if [ "$2" ]; then
echo "$2"
fi
if [ "$1"... | the_stack |
set -e
if [ -z "$1" ]; then
# the main container need not stay running for services
exit 0
fi
# NOTE: the following variable is:
# - Used by the 'run_tests' subcommand only.
# - Not externally exposed because it's only useful for debugging this script.
# Enabling this option skips setup and actual tests ... | the_stack |
flowtag_control mb clear
flowtag_control mb add -mbId 101 -hostId 1 -type CONSUME -address 10.1.0.1 -mask 255.255.0.0
flowtag_control mb add -mbId 101 -hostId 1 -type CONSUME -address 192.168.1.1 -mask 255.255.255.0
flowtag_control mb add -mbId 102 -hostId 2 -type CONSUME -address 10.2.0.1 -mask 255.255.0.0
flowtag_con... | the_stack |
# _NOTE_ setup.sh (this file) is a template used by install.sh to create source-me.sh.
# _WARNING_ setup.sh (this file) should not be edited. Edit my-csv2rdf4lod-source-me.sh.
# if path of cr-vars.sh
# is /Users/me/Desktop/csv2rdf4lod-automation/bin/cr-vars.sh
# CSV2RDF4LOD_HOME should be set (above) to /Users/me/D... | the_stack |
cat > ../ca/kubernetes-rbac-core-component-roles-ca-config.json <<EOF
{
"signing": {
"default": {
"expiry": "43800h"
},
"profiles": {
"kube-controller-manager": {
"expiry": "43800h",
"usages": [
"signing",
... | the_stack |
# this is our online-nnet2 build. it's a "multi-splice" system (i.e. we have
# splicing at various layers), with p-norm nonlinearities. We use the "accel2"
# script which uses between 2 and 14 GPUs depending how far through training it
# is. You can safely reduce the --num-jobs-final to however many GPUs you have
# ... | the_stack |
. $srcdir/test-subr.sh
# The following files were obtaining by compiling funcretval_test.c
# from this directory as follows:
#
# gcc -g funcretval_test.c -o funcretval_test_<YOURARCH>
#
# Pass -DFLOAT128 if the given arch supports __float128.
testfiles funcretval_test_aarch64
# funcretval_test_aarch64 was built wi... | the_stack |
SIMPLE_HTTP_CLIENT=../clients/simple_http_infer_client
SIMPLE_GRPC_CLIENT=../clients/simple_grpc_infer_client
TRACE_SUMMARY=../common/trace_summary.py
CLIENT_TEST=trace_endpoint_test.py
CLIENT_LOG="client.log"
TEST_RESULT_FILE="test_results.txt"
EXPECTED_NUM_TESTS="6"
REPO_VERSION=${NVIDIA_TRITON_SERVER_VERSION}
if [... | the_stack |
#
# WARNING: this file is copied into other locations during package builds; do not
# include other files or make path assumptions when changing this file.
# See `common/core/desktop/build.sh` for more details.
#
_shf_base_dir=$(dirname "$BASH_SOURCE")/..
# Designed to determine which set of browser... | the_stack |
###################################################################################################
# Script Name: FixIT-AdobeApps.sh
# By: Zack Thompson / Created: 11/8/2021
# Version: 1.0.0 / Updated: 11/8/2021 / By: ZT
#
# Description: This script attempts to fix several known and common issues with Adobe's A... | the_stack |
pid_nums1=`ps aux | grep "/bin/bash.*onePerMin_v2.sh" | grep -v grep | wc -l`
if [ $pid_nums1 -gt "2" ]
then
echo " I exit"
exit
fi
function checkprocess() {
nowdate=`date +%y%m%d%H`
#当前时间戳
nowtimestamp=`date +%s`
pid_nums=`ps aux | grep "$*" | grep -v grep | wc -l`
if [ $pid_nums -lt "1" ]
then
... | the_stack |
orw_conf=~/.config/orw/config
dunst_conf=~/.orw/dotfiles/.config/dunst/dunstrc
theme_conf=~/.orw/themes/theme/openbox-3/themerc
openbox_conf=~/.orw/dotfiles/.config/openbox/rc.xml
lock_conf=~/.orw/dotfiles/.config/i3lockrc
rofi_path=~/.orw/dotfiles/.config/rofi
rofi_list_conf=list
while getopts :c: flag; do
case $fla... | the_stack |
# Copyright 2021 Patrick Lumban Tobing (Nagoya University)
# Apache 2.0 (http://www.apache.org/licenses/LICENSE-2.0)
. ./path.sh
. ./cmd.sh
# USER SETTINGS {{{
#######################################
# STAGE SETTING #
#######################################
# {{{
# 0: data preparation step
# i... | the_stack |
##
# Copyright (c) 2018 Samsung Electronics Co., Ltd. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
# Unless required b... | the_stack |
scriptname=$0
args="$*"
T=/tmp/kvm.sh.$$
trap 'rm -rf $T' 0
mkdir $T
dur=$((30*60))
dryrun=""
KVM="`pwd`/tools/testing/selftests/rcutorture"; export KVM
PATH=${KVM}/bin:$PATH; export PATH
TORTURE_DEFCONFIG=defconfig
TORTURE_BOOT_IMAGE=""
TORTURE_INITRD="$KVM/initrd"; export TORTURE_INITRD
TORTURE_KMAKE_ARG=""
TORTURE... | the_stack |
KYLO_HOME=$1
KYLO_USER=$2
KYLO_GROUP=$3
VAULT_VERSION=$4
VAULT_INSTALL_HOME=$5
VAULT_USER=$6
VAULT_GROUP=$7
WORKING_DIR=$8
OFFLINE_MODE=$9
VAULT_DATA_DIR=${VAULT_INSTALL_HOME}/data
VAULT_VERSION="${VAULT_VERSION:-0.9.0}"
UNAME=$(uname -s | tr '[:upper:]' '[:lower:]')
VAULT_BINARY_NAME="vault_${VAULT_VERSION}_${UNAME... | the_stack |
## James Stephens (jns@ias.edu)
## http://www.sns.ias.edu/~jns/
## ============================================================
#
# Load appropriate modules.
modprobe ip_tables
modprobe ip_conntrack
modprobe ip_conntrack_ftp
# These lines are here in case rules are already in place and the script is ever rerun on the... | the_stack |
#####################################################################################
# ADS-B RECEIVER #
#####################################################################################
# ... | the_stack |
set -euo pipefail
# Check if user is in docker group first
if [[ -z "$(id | grep docker)" ]]; then
# Fallback check for root/sudo
if [[ "$(id -u)" != 0 ]]; then
echo -e "\e[31m[CRITICAL]\e[39m Must be ran as root/sudo or add user to the docker group"
exit 1
fi
fi
# Set default variables
DE... | the_stack |
# This script will be called from /etc/rc.local when the cartridge
# instance is spawned. It will initiate all the tasks that needs to
# be run to bring the cartridge instance to operational state.
set -e # Terminate on any error
export LOG=/var/log/apache-stratos/cartridge-agent.log
instance_path=/opt/apache-stratos... | the_stack |
. ./cmd.sh
. ./path.sh
set -e
mfccdir=`pwd`/mfcc
vaddir=`pwd`/mfcc
nnet=exp/nnet2_online/nnet_ms_a/final.mdl
famecorpus=./corpus
# Data preparation
if [ -d $famecorpus ] ; then
echo "Fame corpus present. OK."
elif [ -f ./fame.tar.gz ] ; then
echo "Unpacking..."
tar xzf fame.tar.gz
elif [ ! -d $famecorpus ] && [... | the_stack |
set -e
# This only exists in OS X, but it doesn't cause issues in Linux (the dir doesn't exist, so it's
# ignored).
export PATH="/usr/local/opt/coreutils/libexec/gnubin:$PATH"
case $COMPILER in
gcc-4.9)
export CC=gcc-4.9
export CXX=g++-4.9
;;
gcc-5)
export CC=gcc-5
export CXX=g++-5
;;
... | the_stack |
############# Help and Syntax #############
# Help
# The runvxTestAllScript.sh bash script runs runvx for AMD OpenVX functionalities in HOST/OCL/HIP backends.
# - It can optionally run tests for all kernels or a single kernel separately.
# - It can optionally generate .bin dumps for the image inputs/outputs.
# - It c... | the_stack |
source test_tipc/common_func.sh
FILENAME=$1
GPUID=$2
if [[ ! $GPUID ]];then
GPUID=0
fi
dataline=$(awk 'NR==1, NR==16{print}' $FILENAME)
# parser params
IFS=$'\n'
lines=(${dataline})
# parser cpp inference model
model_name=$(func_parser_value "${lines[1]}")
cpp_infer_type=$(func_parser_value "${lines[2]}")
cpp_i... | the_stack |
# The absolute file and directory path of the calling script.
_LOGGING_CALLER_NAME="${BASH_SOURCE[${#BASH_SOURCE[@]} - 1]}"
_LOGGING_CALLER_PATH="$(cd $(dirname ${_LOGGING_CALLER_NAME}); pwd -P)/$(basename ${_LOGGING_CALLER_NAME})"
_LOGGING_CALLER_DIR="$(cd $(dirname ${_LOGGING_CALLER_PATH}); pwd -P)"
# Determine the ... | the_stack |
# debug
cd /ceph4/bangliu/FQG/src/model/FactorizedQG/
input_path="../../../../Datasets/original/SQuAD2.0/"
output_path="../../../../Datasets/processed/SQuAD2.0/"
data_type="squad"
data_file_prefix="train"
st_idx=0
ed_idx=50000
CUDA_VISIBLE_DEVICES=0 PYTHONIOENCODING=utf-8 python3 QG_gpt2_generate.py \
--model_type... | the_stack |
input=$1
trap "exit" INT
declare -a validation="/ssd/imagenet/val_processed"
declare -a model="/ssd/nestc-data/glow_data/squeezenet/model.onnx"
#python ../imagenet_topk_accuracy_driver_py3.py --verbose \
#--validation-images-dir=/home/jemin/development/dataset/imagenet2012_processed \
#--image-classifier-cmd="/home/j... | the_stack |
# Copyright 2018-present Open Networking Foundation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agr... | the_stack |
#
# Copyright (c) 1999, 2016 Tanuki Software, Ltd.
# http://www.tanukisoftware.com
# All rights reserved.
#
# This software is the proprietary information of Tanuki Software.
# You shall use it only in accordance with the terms of the
# license agreement you entered into with Tanuki Software.
# http://wrapper.tanukisof... | the_stack |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.